Announcement

Collapse
No announcement yet.

AMD Catalyst 10.10 For Linux Officially Released

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • #21
    Originally posted by Kano View Post
    @RealNC

    In theory it should have worked, maybe you hd fglrx preinstalled and switched with

    update-alternatives --config gl_conf
    initramfs -u
    ldconfig
    Never mind, the user in question (I was helping him) does not need the driver anymore.

    Comment


    • #22
      AMD or their AIB partners have yet to send us any Radeon HD 6000 series hardware, so Linux users are currently left in the dark.
      Yeah, because Phoronix is the ONLY WAY I can know if new ATI cards work on Linux.

      How about: they are not supported, due to this:



      No Linux. While Linux does come up if you select 5xxx.

      Comment


      • #23
        I think they are supported, from 10-9 to 10-10 there are about 15 new pci ids (i use a whitelist for fglrx). Btw. since the german ct magazin reported that the opengl windows performance is really bad amd responded immediately with a hotfix driver.

        http://support.amd.com/us/kbarticles...10aHotfix.aspx

        I reported excactly the same when i compared ungine heaven benchmarks win vs linux and NOTHING happened. But when ct magazine tests it and gets the same result then amd is in a hurry to fix it. I hate it...

        Comment


        • #24
          Originally posted by Kano View Post
          I think they are supported, from 10-9 to 10-10 there are about 15 new pci ids (i use a whitelist for fglrx). Btw. since the german ct magazin reported that the opengl windows performance is really bad amd responded immediately with a hotfix driver.

          http://support.amd.com/us/kbarticles...10aHotfix.aspx

          I reported excactly the same when i compared ungine heaven benchmarks win vs linux and NOTHING happened. But when ct magazine tests it and gets the same result then amd is in a hurry to fix it. I hate it...
          And we don't get any hotfixes so we will have to wait an other month for it...

          Comment


          • #25
            "This release for Linux should also carry proper OpenGL ES 2.0 support" -- says who? The release notes say nothing about OpenGL ES.

            I see no libEGL or libGLESv2 here! Even checking "strings" returns nothing relevant for any of the files in the package.

            Comment


            • #26
              Originally posted by Kano View Post
              I reported excactly the same when i compared ungine heaven benchmarks win vs linux and NOTHING happened. But when ct magazine tests it and gets the same result then amd is in a hurry to fix it. I hate it...
              When you have your own computer tech magazine maybe they will listen. Having your own linux distro doesn't count.

              I also hate it that CCC still uses commas instead of dots for the first value of modelines in xorg.conf when it's used to change the screen resolution. If I don't edit xorg.conf after I change the resolution, then I will be left without X. I guess this doesn't happen to a lot of people or else they would have fixed it by now.

              Comment


              • #27
                stupid 10.10 doesnt work with ubu 10.10... this suck.. kernel 2.6.36 cant compile kernel module

                kernel 2.6.35

                glxgears

                X Error of failed request: BadRequest (invalid request code or no such operation)
                Major opcode of failed request: 137 (GLX)
                Minor opcode of failed request: 19 (X_GLXQueryServerString)
                Serial number of failed request: 18
                Current serial number in output stream: 18

                glxinfo

                name of display: :0.0
                X Error of failed request: BadRequest (invalid request code or no such operation)
                Major opcode of failed request: 137 (GLX)
                Minor opcode of failed request: 19 (X_GLXQueryServerString)
                Serial number of failed request: 18
                Current serial number in output stream: 18

                this suck hard, cant even install open drivers.. i reinstall system and try again on "clear" version...

                Comment


                • #28
                  Use my script like I explained here:

                  http://www.phoronix.com/forums/showp...4&postcount=12

                  Comment


                  • #29
                    too late, already reinstaled full system. works good

                    Comment


                    • #30
                      Well it will still work this way. As i add extra kernel support patches when they are available you can install .36 kernel with ease (when you install the headers correctly).

                      Comment

                      Working...
                      X